API Reference
Violations
2 endpoints· Auth: JWT or API Key
get
/api/v1/console/hr/violations JWT API KeyGet violations
Query parameters
| EmployeeId string (uuid) | — |
| TypeId string (uuid) | — |
| Action string | — |
| From string (date) | — |
| To string (date) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/violations" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/violations JWT API KeyCreate violations
Request body
application/json
{
"employeeId": "00000000-0000-0000-0000-000000000000",
"typeId": "00000000-0000-0000-0000-000000000000",
"action": "string",
"penaltyAmount": 0,
"description": "string"
}| employeeId string (uuid) | — |
| typeId string (uuid) | — |
| action string | — |
| penaltyAmount integer (int64) | — |
| description string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/violations" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"employeeId": "00000000-0000-0000-0000-000000000000",
"typeId": "00000000-0000-0000-0000-000000000000",
"action": "string",
"penaltyAmount": 0,
"description": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu